# Uses of Class
org.opensaml.saml.common.messaging.context.AttributeConsumingServiceContext

Packages that use AttributeConsumingServiceContext
Package
Description
org.opensaml.saml.common.messaging.context
Context classes for SAML-based messaging function.
org.opensaml.saml.common.messaging.context.navigate
Functions to navigate SAML message contexts.

## Uses of AttributeConsumingServiceContext in org.opensaml.saml.common.messaging.context

Methods in org.opensaml.saml.common.messaging.context that return AttributeConsumingServiceContext
Modifier and Type
Method
Description
`AttributeConsumingServiceContext`
AttributeConsumingServiceContext.`setAttributeConsumingService(AttributeConsumingService acs)`
Sets the assertion to be validated.

## Uses of AttributeConsumingServiceContext in org.opensaml.saml.common.messaging.context.navigate

Methods in org.opensaml.saml.common.messaging.context.navigate with parameters of type AttributeConsumingServiceContext
Modifier and Type
Method
Description
`AttributeConsumingService`
AttributeConsumerServiceLookupFunction.`apply(AttributeConsumingServiceContext input)`